net.i2p.crypto

## Enum SigAlgo

- java.lang.Object
- - java.lang.Enum<SigAlgo>
  - - net.i2p.crypto.SigAlgo

- All Implemented Interfaces:
    Serializable, Comparable<SigAlgo>

      public enum SigAlgo
      extends Enum<SigAlgo>

  Base signature algorithm type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DSA`
    `EC`
    `EdDSA`
    `ElGamal` For local use only, not for use in the network.
    `RSA` For local use only, not for use in the network.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static SigAlgo` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SigAlgo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DSA

          public static final SigAlgo DSA

    - #### EC

          public static final SigAlgo EC

    - #### EdDSA

          public static final SigAlgo EdDSA

    - #### ElGamal

          public static final SigAlgo ElGamal

      For local use only, not for use in the network.

    - #### RSA

          public static final SigAlgo RSA

      For local use only, not for use in the network.

  - ### Method Detail

    - #### getName

          public String getName()

    - #### valueOf

          public static SigAlgo valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static SigAlgo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SigAlgo c : SigAlgo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared